osSharedConfig_s Struct Reference

Shared system configuration page structure (read-only or read-write depending on exheader). More...

`#include <os.h>`

## Data Fields

vu32 | timeref_cnt
u8 | running_hw
u8 | mcu_hwinfo
u8 | unk_0x06 [0x1A]
volatile osTimeRef_s | timeref [2]
u8 | wifi_macaddr [6]
vu8 | wifi_strength
vu8 | network_state
u8 | unk_0x68 [0x18]
volatile float | slider_3d
vu8 | led_3d
vu8 | led_battery
vu8 | unk_flag
u8 | unk_0x87
u8 | unk_0x88 [0x18]
vu64 | menu_tid
vu64 | cur_menu_tid
u8 | unk_0xB0 [0x10]
vu8 | headset_connected

## Detailed Description

Shared system configuration page structure (read-only or read-write depending on exheader).

The documentation for this struct was generated from the following file:

- include/3ds/os.h